org.eclipse.cdt.core

## Interface ICExtension

All Known Subinterfaces:
  IPathEntryStore

All Known Implementing Classes:
  AbstractCExtension, CygwinPEParser, CygwinPEParser64, ElfParser, GNUElfParser, MachOParser, MachOParser64, PEParser, PEParser64, ScannerProvider, SOMParser, XCOFF32Parser

    public interface ICExtension

Represents an executable extension in the C model hierarchy.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ICConfigExtensionReference` `getConfigExtensionReference()`
`ICExtensionReference` `getExtensionReference()` Deprecated. Use `getConfigExtensionReference()` instead.
`org.eclipse.core.resources.IProject` `getProject()`

### Method Detail

#### getProject

    org.eclipse.core.resources.IProject getProject()

#### getExtensionReference

    @Deprecated
    ICExtensionReference getExtensionReference()

Deprecated. Use `getConfigExtensionReference()` instead.

Restriction:
  This method is not intended to be referenced by clients.

#### getConfigExtensionReference

    ICConfigExtensionReference getConfigExtensionReference()

Since:
  5.2